Public Attributes | List of all members
nvds_drv_func_t Struct Reference
SYSTEM » Non-Volatile Data Storage » Structures

NVDS drive function struct. More...

`#include <gr55xx_nvds.h>`

## Public Attributes
uint32_t(* | p_nvds_flash_read )(const uint32_t addr, uint8_t *buf, const uint32_t size)
| NVDS flash read function. More...
uint32_t(* | p_nvds_flash_write_r )(const uint32_t addr, const uint8_t *buf, const uint32_t size)
| NVDS flash write_r function. More...
void(* | p_nvds_flash_set_security )(bool enable)
| NVDS flash security set function. More...
bool(* | p_nvds_flash_get_security )(void)
| NVDS flash security get function. More...
bool(* | p_nvds_flash_erase )(const uint32_t addr, const uint32_t size)
| NVDS flash erase function. More...
void(* | p_nvds_flash_get_info )(uint32_t *id, uint32_t *size)
| NVDS flash information get function. More...

## Detailed Description

NVDS drive function struct.

Definition at line 99 of file gr55xx_nvds.h.

## Member Data Documentation

## ◆ p_nvds_flash_erase

bool(* nvds_drv_func_t::p_nvds_flash_erase) (const uint32_t addr, const uint32_t size)

NVDS flash erase function.

Definition at line 105 of file gr55xx_nvds.h.

## ◆ p_nvds_flash_get_info

void(* nvds_drv_func_t::p_nvds_flash_get_info) (uint32_t *id, uint32_t *size)

NVDS flash information get function.

Definition at line 106 of file gr55xx_nvds.h.

## ◆ p_nvds_flash_get_security

bool(* nvds_drv_func_t::p_nvds_flash_get_security) (void)

NVDS flash security get function.

Definition at line 104 of file gr55xx_nvds.h.

## ◆ p_nvds_flash_read

uint32_t(* nvds_drv_func_t::p_nvds_flash_read) (const uint32_t addr, uint8_t *buf, const uint32_t size)

NVDS flash read function.

Definition at line 101 of file gr55xx_nvds.h.

## ◆ p_nvds_flash_set_security

void(* nvds_drv_func_t::p_nvds_flash_set_security) (bool enable)

NVDS flash security set function.

Definition at line 103 of file gr55xx_nvds.h.

## ◆ p_nvds_flash_write_r

uint32_t(* nvds_drv_func_t::p_nvds_flash_write_r) (const uint32_t addr, const uint8_t *buf, const uint32_t size)

NVDS flash write_r function.

Definition at line 102 of file gr55xx_nvds.h.

The documentation for this struct was generated from the following file:

- gr55xx_nvds.h